{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "#": {
      "item": "minecraft:diamond"
    },
    "C": {
      "item": "minecraft:netherrack"
    },
    "S": {
      "item": "minecraft:netherite_upgrade_smithing_template"
    },
    "L": {
      "item": "sortilege:limitite"
    }
  },
  "pattern": [
    "#S#",
    "#C#",
    "#L#"
  ],
  "result": {
    "count": 2,
    "item": "minecraft:netherite_upgrade_smithing_template"
  },
  "show_notification": true
}